/*
 * JBoss, Home of Professional Open Source
 * Copyright 2009, Red Hat Middleware LLC, and others contributors as indicated
 * by the @authors tag. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */
package org.jboss.soa.bpel.runtime.engine.service;

import javax.naming.NamingException;

import org.jboss.system.ServiceMBean;

/**
 * The MBean for the BPEL engine service.
 * 
 * @author gbrown
 *
 */
public interface BPELEngineServiceMBean extends ServiceMBean {
	
	/**
	 * This method returns the JNDI name used to register the
	 * BPEL engine.
	 */
    public String getJndiName();
    
    /**
     * This method sets the JNDI name associated with the
     * BPEL engine.
     * 
     * @param jndiName The JNDI name
     * @throws NamingException Failed to register BPEL engine against
     * 					the JNDI name
     */
    public void setJndiName(String jndiName) throws javax.naming.NamingException;
    	
}
